diff -ur ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_XMLBackgroundImageContext.cxx ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_XMLBackgroundImageContext.cxx
--- ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_XMLBackgroundImageContext.cxx	2005-12-08 23:03:13.000000000 +0100
+++ ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_XMLBackgroundImageContext.cxx	2005-12-08 23:04:39.000000000 +0100
@@ -248,7 +248,7 @@
 					}
 					else if( -1 != aToken.indexOf( sal_Unicode('%') ) )
 					{
-						long nPrc = 50;
+						sal_Int32 nPrc = 50;
 						if( rUnitConverter.convertPercent( nPrc, aToken ) )
 						{
 							if( !bHori )
diff -ur ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_XMLFontAutoStylePool.cxx ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_XMLFontAutoStylePool.cxx
--- ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_XMLFontAutoStylePool.cxx	2005-12-08 23:03:13.000000000 +0100
+++ ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_XMLFontAutoStylePool.cxx	2005-12-08 23:05:51.000000000 +0100
@@ -196,7 +196,7 @@
 	OUString sName;
 	XMLFontAutoStylePoolEntry_Impl aTmp( rFamilyName, rStyleName, nFamily,
 									 	 nPitch, eEnc );
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( pPool->Seek_Entry( &aTmp, &nPos ) )
 	{
 		sName = pPool->GetObject( nPos )->GetName();
@@ -250,7 +250,7 @@
 	OUString sName;
 	XMLFontAutoStylePoolEntry_Impl aTmp( rFamilyName, rStyleName, nFamily,
 									 	 nPitch, eEnc );
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( pPool->Seek_Entry( &aTmp, &nPos ) )
 	{
 		sName = pPool->GetObject( nPos )->GetName();
diff -ur ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_backhdl.cxx ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_backhdl.cxx
--- ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_backhdl.cxx	2005-12-08 23:03:13.000000000 +0100
+++ ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_backhdl.cxx	2005-12-08 23:06:17.000000000 +0100
@@ -107,7 +107,7 @@
 		}
 		else if( -1 != aToken.indexOf( sal_Unicode('%') ) )
 		{
-			long nPrc = 50;
+			sal_Int32 nPrc = 50;
 			if( rUnitConverter.convertPercent( nPrc, aToken ) )
 			{
 				if( !bHori )
diff -ur ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_bordrhdl.cxx ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_bordrhdl.cxx
--- ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_bordrhdl.cxx	2005-12-08 23:03:13.000000000 +0100
+++ ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_bordrhdl.cxx	2005-12-08 23:06:48.000000000 +0100
@@ -355,7 +355,7 @@
 	sal_uInt16 nNamedWidth = USHRT_MAX;
 	Color aColor;
 
-	long nTemp;
+	sal_Int32 nTemp;
 	while( aTokens.getNextToken( aToken ) && aToken.getLength() != 0 )
 	{
 		if( !bHasWidth &&
diff -ur ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_impastp4.cxx ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_impastp4.cxx
--- ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_impastp4.cxx	2005-12-08 23:03:13.000000000 +0100
+++ ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_impastp4.cxx	2005-12-08 23:08:18.000000000 +0100
@@ -110,7 +110,7 @@
 		sal_Bool bAsFamily )
 {
 	// store family in a list if not already stored
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl *pFamily = new XMLFamilyData_Impl( nFamily, rStrName, rMapper, rStrPrefix, bAsFamily );
 	if( !maFamilyList.Seek_Entry( pFamily, &nPos ) )
 		maFamilyList.Insert( pFamily );
@@ -127,7 +127,7 @@
 {
 	SvXMLAutoStylePoolNamesP_Impl *pNames = 0;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
 		pNames = maFamilyList.GetObject( nPos )->mpNameList;
@@ -158,7 +158,7 @@
 				sal_Bool bCache)
 {
 	sal_Bool bRet(sal_False);
-	sal_uInt32 nPos;
+	ULONG nPos;
 
 	XMLFamilyData_Impl *pFamily = 0;
 	XMLFamilyData_Impl aTmp( nFamily );
@@ -206,7 +206,7 @@
 OUString SvXMLAutoStylePoolP_Impl::AddToCache( sal_Int32 nFamily,
 							 		    const OUString& rParent )
 {
-	sal_uInt32 nPos;
+	ULONG nPos;
 
 	XMLFamilyData_Impl *pFamily = 0;
 	XMLFamilyData_Impl aTmp( nFamily );
@@ -238,7 +238,7 @@
 {
 	OUString sName;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
@@ -265,7 +265,7 @@
 {
 	OUString sName;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
@@ -307,7 +307,7 @@
 	sal_uInt32 nCount = 0;
 
 	// Get list of parents for current family (nFamily)
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
diff -ur ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_xmlstyle.cxx ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_xmlstyle.cxx
--- ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/style/xmloff_xmlstyle.cxx	2005-12-08 23:03:13.000000000 +0100
+++ ooo_SRC680_m145_src/binfilter/bf_xmloff/source/style/xmloff_xmlstyle.cxx	2005-12-08 23:09:17.000000000 +0100
@@ -459,7 +459,7 @@
 	if( pIndices )
 	{
 		SvXMLStyleIndex_Impl aIndex( nFamily, rName );
-		sal_uInt32 nPos = 0;
+		ULONG nPos = 0;
 		if( pIndices->Seek_Entry( &aIndex, &nPos ) )
 			pStyle = pIndices->GetObject( nPos )->GetStyle();
 	}
diff -ur ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/text/xmloff_XMLTextListAutoStylePool.cxx ooo_SRC680_m145_src/binfilter/bf_xmloff/source/text/xmloff_XMLTextListAutoStylePool.cxx
--- ooo_SRC680_m145_src.orig/binfilter/bf_xmloff/source/text/xmloff_XMLTextListAutoStylePool.cxx	2005-12-10 23:02:50.000000000 +0100
+++ ooo_SRC680_m145_src/binfilter/bf_xmloff/source/text/xmloff_XMLTextListAutoStylePool.cxx	2005-12-10 23:24:03.000000000 +0100
@@ -226,7 +226,7 @@
 
 sal_uInt32 XMLTextListAutoStylePool::Find( XMLTextListAutoStylePoolEntry_Impl* pEntry ) const
 {
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( !pEntry->IsNamed() && mxNumRuleCompare.is() )
 	{
 		const sal_uInt32 nCount = pPool->Count();
